# Generated by Django 3.1.1 on 2020-10-20 17:23

import app.models
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Apk',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(blank=True, max_length=255)),
                ('description', models.CharField(max_length=255)),
                ('apk', models.FileField(upload_to='apk/', validators=[app.models.validate_file_extension])),
                ('defectdojo_id', models.IntegerField(blank=True, default=0)),
                ('file_size', models.CharField(blank=True, max_length=255)),
                ('md5', models.CharField(blank=True, max_length=255)),
                ('sha1', models.CharField(blank=True, max_length=255)),
                ('sha256', models.CharField(blank=True, max_length=255)),
                ('package', models.CharField(blank=True, max_length=255)),
                ('icon', models.TextField(blank=True)),
                ('version_code', models.CharField(blank=True, max_length=50, null=True)),
                ('version_name', models.CharField(blank=True, max_length=50, null=True)),
                ('min_sdk_version', models.CharField(blank=True, max_length=50, null=True)),
                ('max_sdk_version', models.CharField(blank=True, max_length=50, null=True)),
                ('target_sdk_version', models.CharField(blank=True, max_length=50, null=True)),
                ('effective_target_sdk_version', models.CharField(blank=True, max_length=50, null=True)),
                ('manifest', models.TextField(blank=True)),
                ('created_on', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_on', models.DateTimeField(auto_now=True, null=True)),
                ('finished_on', models.DateTimeField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Application',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255)),
                ('description', models.CharField(max_length=255)),
                ('created_on', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_on', models.DateTimeField(auto_now=True, null=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Component',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.TextField()),
                ('type', models.TextField()),
                ('created_on', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_on', models.DateTimeField(auto_now=True, null=True)),
                ('apk', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.apk')),
            ],
        ),
        migrations.CreateModel(
            name='Cwe',
            fields=[
                ('cwe', models.IntegerField(primary_key=True, serialize=False)),
                ('description', models.TextField()),
                ('created_on', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_on', models.DateTimeField(auto_now=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Finding',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=512)),
                ('path', models.CharField(max_length=1024)),
                ('line_number', models.IntegerField(null=True)),
                ('line', models.TextField()),
                ('snippet', models.TextField()),
                ('match', models.TextField(blank=True, null=True)),
                ('status', models.CharField(choices=[('VF', 'Verified'), ('FP', 'False Positive'), ('TP', 'True Positive'), ('MI', 'Mitigated'), ('UK', 'Unknown'), ('TD', 'To Do')], max_length=50)),
                ('severity', models.CharField(choices=[('CR', 'Critical'), ('HI', 'High'), ('ME', 'Medium'), ('LO', 'Low'), ('NO', 'None')], max_length=10)),
                ('description', models.TextField()),
                ('mitigation', models.TextField(blank=True, null=True)),
                ('defectdojo_id', models.IntegerField(blank=True, default=0)),
                ('created_on', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_on', models.DateTimeField(auto_now=True, null=True)),
                ('cwe', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.cwe')),
            ],
        ),
        migrations.CreateModel(
            name='Malware',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('date', models.CharField(max_length=255, null=True)),
                ('url', models.TextField(blank=True, null=True)),
                ('ip', models.TextField(blank=True, null=True)),
                ('reverse_lookup', models.TextField(blank=True, null=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('asp', models.CharField(max_length=255, null=True)),
                ('geolocation', models.TextField(blank=True, null=True)),
                ('created_on', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_on', models.DateTimeField(auto_now=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='PermissionType',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.TextField(unique=True)),
                ('type', models.CharField(max_length=50)),
                ('default_severity', models.CharField(choices=[('CR', 'Critical'), ('HI', 'High'), ('ME', 'Medium'), ('LO', 'Low'), ('NO', 'None')], max_length=10)),
                ('created_on', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_on', models.DateTimeField(auto_now=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Scan',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('description', models.CharField(max_length=255)),
                ('status', models.CharField(max_length=50)),
                ('progress', models.IntegerField()),
                ('findings', models.IntegerField(blank=True, default=0)),
                ('created_on', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_on', models.DateTimeField(auto_now=True, null=True)),
                ('apk', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.apk')),
                ('app', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.application')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='VirusTotalScan',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('identifier', models.CharField(max_length=255, null=True)),
                ('type', models.CharField(max_length=255, null=True)),
                ('date', models.DateTimeField(null=True)),
                ('md5', models.CharField(max_length=255, null=True)),
                ('sha256', models.CharField(max_length=255, null=True)),
                ('ssdeep', models.CharField(max_length=255, null=True)),
                ('link', models.TextField(blank=True, null=True)),
                ('harmless', models.IntegerField(blank=True, default=0)),
                ('malicious', models.IntegerField(blank=True, default=0)),
                ('suspicious', models.IntegerField(blank=True, default=0)),
                ('undetected', models.IntegerField(blank=True, default=0)),
                ('unsupported', models.IntegerField(blank=True, default=0)),
                ('type_unsupported', models.IntegerField(blank=True, default=0)),
                ('failure', models.IntegerField(blank=True, default=0)),
                ('timeout', models.IntegerField(blank=True, default=0)),
                ('uploaded', models.BooleanField(default=False)),
                ('first_seen', models.DateTimeField(null=True)),
                ('first_submission', models.DateTimeField(null=True)),
                ('last_submission', models.DateTimeField(null=True)),
                ('reputation', models.IntegerField(blank=True, default=0)),
                ('times_submitted', models.IntegerField(blank=True, default=0)),
                ('votes_harmless', models.IntegerField(blank=True, default=0)),
                ('votes_malicious', models.IntegerField(blank=True, default=0)),
                ('magic', models.CharField(max_length=255, null=True)),
                ('type_description', models.CharField(max_length=255, null=True)),
                ('created_on', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_on', models.DateTimeField(auto_now=True, null=True)),
                ('scan', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.scan')),
            ],
        ),
        migrations.CreateModel(
            name='String',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('type', models.CharField(max_length=255)),
                ('value', models.TextField(blank=True)),
                ('created_on', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_on', models.DateTimeField(auto_now=True, null=True)),
                ('finding', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.finding')),
                ('scan', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.scan')),
            ],
        ),
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(blank=True, max_length=100)),
                ('last_name', models.CharField(blank=True, max_length=100)),
                ('email', models.EmailField(max_length=150)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Permission',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('severity', models.CharField(choices=[('CR', 'Critical'), ('HI', 'High'), ('ME', 'Medium'), ('LO', 'Low'), ('NO', 'None')], max_length=10)),
                ('created_on', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_on', models.DateTimeField(auto_now=True, null=True)),
                ('apk', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.apk')),
                ('permission', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.permissiontype')),
            ],
        ),
        migrations.CreateModel(
            name='Pattern',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('default_name', models.TextField()),
                ('default_description', models.TextField(blank=True)),
                ('default_severity', models.CharField(choices=[('CR', 'Critical'), ('HI', 'High'), ('ME', 'Medium'), ('LO', 'Low'), ('NO', 'None')], max_length=10)),
                ('default_mitigation', models.TextField(blank=True)),
                ('pattern', models.TextField()),
                ('active', models.BooleanField(default=True)),
                ('created_on', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_on', models.DateTimeField(auto_now=True, null=True)),
                ('default_cwe', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.cwe')),
            ],
        ),
        migrations.CreateModel(
            name='IntentFilter',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.TextField()),
                ('action', models.TextField()),
                ('created_on', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_on', models.DateTimeField(auto_now=True, null=True)),
                ('apk', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.apk')),
                ('component', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.component')),
            ],
        ),
        migrations.AddField(
            model_name='finding',
            name='scan',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.scan'),
        ),
        migrations.AddField(
            model_name='finding',
            name='type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='app.pattern'),
        ),
        migrations.AddField(
            model_name='finding',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL),
        ),
        migrations.CreateModel(
            name='File',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('type', models.CharField(max_length=255)),
                ('name', models.CharField(max_length=255)),
                ('path', models.CharField(max_length=255)),
                ('created_on', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_on', models.DateTimeField(auto_now=True, null=True)),
                ('scan', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.scan')),
            ],
        ),
        migrations.CreateModel(
            name='Domain',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('domain', models.TextField(blank=True)),
                ('created_on', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_on', models.DateTimeField(auto_now=True, null=True)),
                ('finding', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.finding')),
                ('malware', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='app.malware')),
                ('scan', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.scan')),
            ],
        ),
        migrations.CreateModel(
            name='DatabaseInfo',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('table', models.CharField(max_length=255)),
                ('info', models.TextField(blank=True)),
                ('created_on', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_on', models.DateTimeField(auto_now=True, null=True)),
                ('scan', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.scan')),
            ],
        ),
        migrations.CreateModel(
            name='Certificate',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('version', models.CharField(blank=True, max_length=10)),
                ('sha1', models.CharField(blank=True, max_length=255)),
                ('sha256', models.CharField(blank=True, max_length=255)),
                ('issuer', models.TextField(blank=True)),
                ('subject', models.TextField(blank=True)),
                ('hash_algorithm', models.TextField(blank=True)),
                ('signature_algorithm', models.TextField(blank=True)),
                ('serial_number', models.TextField(blank=True)),
                ('contents', models.TextField(blank=True)),
                ('created_on', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_on', models.DateTimeField(auto_now=True, null=True)),
                ('apk', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.apk')),
            ],
        ),
        migrations.AddField(
            model_name='apk',
            name='app',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.application'),
        ),
        migrations.AddField(
            model_name='apk',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL),
        ),
        migrations.CreateModel(
            name='Antivirus',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=255, null=True)),
                ('category', models.CharField(max_length=255, null=True)),
                ('version', models.CharField(max_length=255, null=True)),
                ('result', models.CharField(max_length=255, null=True)),
                ('method', models.CharField(max_length=255, null=True)),
                ('update', models.CharField(max_length=255, null=True)),
                ('created_on', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_on', models.DateTimeField(auto_now=True, null=True)),
                ('scan', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.scan')),
                ('virus_scan', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.virustotalscan')),
            ],
        ),
        migrations.CreateModel(
            name='Activity',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.TextField()),
                ('main', models.BooleanField(default=False)),
                ('exported', models.BooleanField(default=False)),
                ('created_on', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_on', models.DateTimeField(auto_now=True, null=True)),
                ('apk', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.apk')),
            ],
        ),
    ]
